POSTGetExchangeById

Tron Mainnethttps://tron-mainnet.nodit.io/walletsolidity/getexchangebyid

Query an exchange pair by its exchange ID. (Confirmed state)

Request Body
idinteger (int64)required

Unique ID of the exchange pair. Example: 1

visibleboolean

Optional. Set to true to format addresses in Base58; set to false for hex format. (Default: false)

Responses
exchange_idinteger (int64)

Unique ID of the exchange pair.

creator_addressstring

Address of the account that created the exchange.

create_timeinteger (int64)

Timestamp when the exchange was created. (Unit: millisecond)

first_token_idstring

ID of the first token. TRX is represented as _.

first_token_balanceinteger (int64)

Balance of the first token held by the exchange.

second_token_idstring

ID of the second token. TRX is represented as _.

second_token_balanceinteger (int64)

Balance of the second token held by the exchange.

X-API-KEY
RequestCU15
cURL
curl -X POST "https://tron-mainnet.nodit.io/walletsolidity/getexchangebyid" \
  -H "X-API-KEY: {YOUR_API_KEY}" \
  -H "Content-Type: application/json" \
  -d '{
  "id": 1
}'
Response
Example · 200
{
  "exchange_id": 0,
  "creator_address": "string",
  "create_time": 0,
  "first_token_id": "string",
  "first_token_balance": 0,
  "second_token_id": "string",
  "second_token_balance": 0
}